# Generated by Django 3.2.12 on 2022-03-15 11:58

import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('applications', '0015_applicationstate_integrations'),
    ]

    operations = [
        migrations.AlterField(
            model_name='registrationevent',
            name='provider',
            field=models.CharField(choices=[('datagraph', 'datagraph'), ('halley', 'halley'), ('maggioli', 'maggioli')], max_length=32, verbose_name='provider'),
        ),
        migrations.AlterField(
            model_name='service',
            name='provider',
            field=models.CharField(choices=[('datagraph', 'datagraph'), ('halley', 'halley'), ('maggioli', 'maggioli')], max_length=32, verbose_name='provider'),
        ),
        migrations.CreateModel(
            name='HalleyConfig',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('modified_at', models.DateTimeField(auto_now=True, verbose_name='modified at')),
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('description', models.CharField(blank=True, max_length=128, verbose_name='description')),
                ('is_active', models.BooleanField(verbose_name='active')),
                ('login_url', models.URLField(verbose_name='login URL')),
                ('registration_url', models.URLField(verbose_name='registration URL')),
                ('username', models.CharField(max_length=64, verbose_name='username')),
                ('password', models.CharField(max_length=64, verbose_name='password')),
                ('institution_name', models.CharField(max_length=1024, verbose_name='institution name')),
                ('institution_aoo_id', models.PositiveIntegerField(verbose_name='AOO ID')),
                ('institution_office_ids', django.contrib.postgres.fields.ArrayField(base_field=models.PositiveIntegerField(), size=1, verbose_name='institution office IDs')),
                ('classification_category', models.CharField(max_length=16, verbose_name='classification category')),
                ('classification_class', models.CharField(max_length=16, verbose_name='classification class')),
                ('classification_subclass', models.CharField(max_length=16, null=True, verbose_name='classification subclass')),
                ('folder_id', models.PositiveIntegerField(null=True, verbose_name='folder ID')),
                ('service', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='halley_configs', to='applications.service', verbose_name='service')),
            ],
        ),
        migrations.AddConstraint(
            model_name='halleyconfig',
            constraint=models.UniqueConstraint(condition=models.Q(('is_active', True)), fields=('service', 'is_active'), name='applications_halleyconfig_unique_service_is_active_true'),
        ),
    ]
